<html>

<head>

  <script src="http://www.google.com/jsapi"></script>

  <script>
    google.load('visualization', '1');
  </script>

  <script>

    /*
        http://code.google.com/apis/ajax/playground/#simple_visualization
        http://code.google.com/apis/ajax/playground/#more_query_options
        http://www.mail-archive.com/google-visualization-api@googlegroups.com/msg01337.html
    */

    var list_id   = 'output';
    var site      = 'http://spreadsheets.google.com/'
    var key       = '0AlS2XPJdMC8xdDVkSFluS2JZMl9qQVVPTkp4bEhIbkE';

    var plan_url  = site + 'ccc?'      + 'key=' + key;
    var query_str = site + 'tq?pub=0&' + 'key=' + key;
    var query_obj = new google.visualization.Query(query_str);
    var view      = {}; // namespace

    google.setOnLoadCallback(sendAndDraw);



    function sendAndDraw()
    {
      query_obj.send(handleQueryResponse); // send the query with a callback function
    }



    // usage of the visualization
    function handleQueryResponse(response)
    {
      if (response.isError())
      {
        alert('Error in query:\n\n' + response.getMessage() + '\n' + response.getDetailedMessage());
        return;
      }
      data = response.getDataTable();
      var list_obj = new view.out(document.getElementById(list_id));
      list_obj.draw(data);
    }



    // out class constructor
    view.out = function(container)
    // container: the HTML element where the visualization will be rendered in
    {
      this.containerElement = container; // stores the container HTML element
    }



    // out.draw() method
    view.out.prototype.draw = function(data)
    // data: the google.visualization.DataTable to display
    {
      var html = [];
      var wp_i = 'http://en.wikipedia.org/favicon.ico';
      var go_i = 'http://www.google.com/favicon.ico';
      for (var row = 0; row < data.getNumberOfRows(); row++)
      {
        var name  = data.getFormattedValue(row,0);
        var id    =                                   name.replace(' ','-').toLowerCase();
        var wp_u  = 'http://pt.wikipedia.org/wiki/' + name.replace(' ','_');
        var go_u  = 'http://google.com/images?q='   + name.replace(' ','+') + '+art';
        var code  = '<li>'
            code += '<a href="' + wp_u + '" target="_blank"><img src="' + wp_i + '" style="margin-right:10px;" /></a>';
            code += '<a href="' + go_u + '" target="_blank" id="' + id + '" onmouseover="preview(\'' + id + '\',\'' + name + '\')"><img src="' + go_i + '" style="margin-right:5px;" />' + name + '</a>';
            code += '</li>';
        html.push(code);
      }
      this.containerElement.innerHTML = html.join('');
    }



    function preview(id, search_keys)
    {
    }

  </script>

</head>

<body>

<a href="" onmouseover="this.href=plan_url" target="_blank">Planilha</a>

<ol id="output">
</ol>

</body>

</html>
